using Refit;
using Sledgemapper.Shared.Entities;
using System.Net.Http;
using System.Threading.Tasks;

namespace Sledgemapper
{
    public interface IIdentityApi
    {
        [Post("/users/register")]
        Task<HttpResponseMessage> Register([Body] RegisterModel registerModel);

        [Post("/users/authenticate")]
        Task<AuthenticateResponse> Authenticate([Body] AuthenticateModel registerModel);
    }
}